pcl::PointXYZINormal Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, intensity, together with normal coordinates and the surface curvature estimate. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZINormal:

## Public Member Functions

| PointXYZINormal (const _PointXYZINormal &p)
| PointXYZINormal ()

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZINormal &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZINormal
| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
float intensity
float curvature
} |
float data_c [4]
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates, intensity, together with normal coordinates and the surface curvature estimate.

Definition at line 954 of file point_types.hpp.

## Constructor & Destructor Documentation

pcl::PointXYZINormal::PointXYZINormal | ( | const _PointXYZINormal & | p | ) |

inline

Definition at line 956 of file point_types.hpp.

References pcl::_PointXYZINormal::curvature, and pcl::_PointXYZINormal::intensity.

pcl::PointXYZINormal::PointXYZINormal | ( |  | ) |

inline

Definition at line 964 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointXYZINormal & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/impl/point_types.hpp